# 81. クエリ: "EquationMap" の GeoJSON を取得

"EquationMaps"のGeoJSONを以下でフィルタして取得する `equationMapUuids（方程式マップUUID）`.

属性 `equationMapGeojson（方程式マップGeoJSON）` 次のGeoJSONを含む `Polygons（ポリゴン）` または `マルチポリゴン` 次のような地理空間フィーチャ属性を含む `id（識別子）`, `value` と `面積` 定義された単位で。

主な詳細：

* パラメータ `asMultiGeometry: true（複数ジオメトリとして）` は以下を意味する `Polygons（ポリゴン）` （「Equation Map」セル）がマージされる `MultiPolygons（マルチポリゴン）` に基づいて `value` 各「Equation Map」セルの属性。
* 出力面積は次のパラメータで設定できます `unit（単位）` パラメータ。利用可能なオプション： `エーカー`,  `ヘクタール`, `平方メートル`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

ジオメトリを要求しない場合（属性のみが必要な場合）は、 `attributesJson（属性JSON）` の代わりに `equationMapGeojson（方程式マップGeoJSON）` を使用します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/81-kueri-equationmap-no-geojson-wo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
